robotpkg/wip/sot-core-v3 bulk build results

Log for sot-core-v3-3.1.1 on Fedora-26-x86_64: configure.log (Back)

--- Environment --- tag=Fedora-26-x86_64 _override_vars_wip_py_dynamic_graph_v3=PKGREQD PKGREQD PKGREQD _override_vars_wip_dynamic_graph_v3=PKGREQD PKGREQD PKGREQD PKG_CONFIG=/usr/bin/pkg-config LC_MONETARY=C LOWER_OPSYS=fedora LANG=C OS_VERSION=26 PKGTOOLS_VERSION=20110805.7 _override_vars_archivers_pax=PKGREQD PKGREQD BULK_LOGDIR=/local/robotpkg/var/log/bulk GXX=/usr/bin/g++ OLDPWD=/local/robotpkg/var/lib/robotpkg/wip/py-laaswm TAR=/usr/bin/tar MACHINE_KERNEL=Linux-4.13.5-200.fc26.x86_64-x86_64 PKG_CONFIG_LIBDIR=/usr/lib64/pkgconfig:/usr/share/pkgconfig _override_vars_devel_boost_libs=PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD PKGREQD _override_vars_pkgtools_digest=PKGREQD PKGREQD PKGREQD OWNER_GID=robots TNFTP=/opt/openrobots/sbin/tnftp MAKECONF=/opt/robotpkg/etc/robotpkg.conf PYTHON27_INCLUDE=/usr/include/python2.7/ _overrides_archivers_pax_PKGREQD=pax pax _overrides_pkgtools_tnftp_PKGREQD=tnftp>=20091122 tnftp>=20091122 MFLAGS=--no-print-directory _overrides_devel_boost_headers_PKGREQD=boost-headers>=1.34.1 boost-headers>=1.34.1 boost-headers>=1.34.1 EXPECT_TARGETS=fetch install package CC=/usr/bin/gcc _override_vars_wip_sot_core_v3=PKGREQD ROBOTPKG_DIR=/local/robotpkg/var/lib/robotpkg LC_COLLATE=C _overrides_math_eigen3_PKGREQD=eigen3>=3.0.0 eigen3>=3.0.0 eigen3>=3.0.0 PATCH=/usr/bin/patch _override_vars_devel_boost_headers=PKGREQD PKGREQD PKGREQD PYTHON27_LIB=/usr/lib64/libpython2.7.so ROBOTPKG_BASE=/local/robotpkg MACHINE_PLATFORM=Fedora-26-x86_64 PWD=/local/robotpkg/var/lib/robotpkg/wip/sot-core-v3 _override_vars_pkgtools_pkg_config=PKGREQD PKGREQD PKGREQD LC_CTYPE=C NODENAME=fluffy64-fedora26 OS_KERNEL_VERSION=4.13.5-200.fc26.x86_64 _overrides_pkgtools_pkg_config_PKGREQD=pkg-config>=0.22 pkg-config>=0.22 pkg-config>=0.22 PKG_DBDIR=/opt/openrobots/var/db/robotpkg RECURSIVE_PKGPATH=wip/sot-core-v3 LOWER_OS_KERNEL=linux PAX=/usr/bin/pax OPSYS=Fedora _ROBOTPKG_NOW=0119192708 _overrides_pkgtools_digest_PKGREQD=digest>=20080510 digest>=20080510 digest>=20080510 bf= _override_vars_math_eigen3=PKGREQD PKGREQD PKGREQD PYTHON_INCLUDE_CONFIG=/usr/include/python2.7/ DOXYGEN=/usr/bin/doxygen PYTHON_INCLUDE=/usr/include/python2.7/ LC_NUMERIC=C OWNER_UID=rbulk _override_vars_pkgtools_tnftp=PKGREQD PKGREQD _overrides_wip_sot_core_v3_PKGREQD=sot-core-v3-3.1.1 FC=false MACHINE_ARCH=x86_64 ECHO_N=echo -n BULKBASE=/opt/openrobots hline="$bf======================================================================$rm" _override_vars_pkgtools_pkg_install=PKGREQD PKGREQD PKGREQD _overrides_wip_py_dynamic_graph_v3_PKGREQD=py27-dynamic-graph-v3>=3.0 py27-dynamic-graph-v3>=3.0 py27-dynamic-graph-v3>=3.0 CXX=/usr/bin/g++ LOCALBASE=/opt/openrobots PYTHON27=/usr/bin/python2.7 MAKEOVERRIDES=PKGREQD.cmdline=sot-core-v3-3.1.1 RECURSIVE_PKGPATH=wip/sot-core-v3\ tag=Fedora-26-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package SPHINX_BUILD=/usr/bin/sphinx-build LC_MESSAGES=C _overrides_pkgtools_pkg_install_PKGREQD=pkg_install>=20110805.7 pkg_install>=20110805.7 pkg_install>=20110805.7 GZIP_CMD=/usr/bin/gzip MAKELEVEL=4 rm= PDFLATEX=/usr/bin/pdflatex SHLVL=4 LOWER_ARCH=x86_64 PYTHONPATH=/usr/lib/python2.7/site-packages ZCAT=/usr/bin/zcat DIGEST=/opt/openrobots/sbin/robotpkg_digest CMAKE=/usr/bin/cmake PYTHON_LIB=/usr/lib64/libpython2.7.so _overrides_devel_boost_libs_PKGREQD=boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 CXXCPP=/usr/bin/g++ -E LOWER_OS_VERSION=26 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin ROBOTPKG_TRUSTED_ENV=robotpkg _overrides_wip_dynamic_graph_v3_PKGREQD=dynamic-graph-v3>=3.0.0 dynamic-graph-v3>=3.0.0 dynamic-graph-v3>=3.0.0 GCC=/usr/bin/gcc PKG_CONFIG_PATH=/opt/openrobots/lib/pkgconfig PYTHON=/usr/bin/python2.7 MAKEFLAGS= --no-print-directory -- PKGREQD.cmdline=sot-core-v3-3.1.1 RECURSIVE_PKGPATH=wip/sot-core-v3\ tag=Fedora-26-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package OS_KERNEL=Linux CPP=/usr/bin/gcc -E LC_TIME=C _=/usr/bin/env --- Running set -e;/bin/mkdir -p /local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work/sot-core-v3-3.1.1/_build Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work/sot-core-v3-3.1.1 && cd _build && /usr/bin/env 'CPPFLAGS=' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin' LD_LIBRARY_PATH='' /usr/bin/cmake -DPYTHON_EXECUTABLE=/usr/bin/python2.7 -DPYTHON_INCLUDE_DIR=/usr/include/python2.7/ -DPYTHON_LIBRARY=/usr/lib64/libpython2.7.so -DPYTHON_SITELIB=lib/python2.7/site-packages -DCMAKE_INSTALL_LIBDIR=lib '-DBOOST_INCLUDEDIR=/usr/include' '-DBOOST_LIBRARYDIR=/usr/lib' -DPYTHON_EXECUTABLE=/usr/bin/python2.7 -DPYTHON_INCLUDE_DIR=/usr/include/python2.7/ -DPYTHON_INCLUDE_DIR2=/usr/include/python2.7/ -DPYTHON_LIBRARY=/usr/lib64/libpython2.7.so '-DCMAKE_MODULE_PATH=' --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE CMAKE_EXE_LINKER_FLAGS=' ' -DCMAKE_MAKE_PROGRAM=make -DCMAKE_C_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS=' -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man ..; Not searching for unused variables given on the command line. -- The C compiler identification is GNU 7.2.1 -- The CXX compiler identification is GNU 7.2.1 -- Check for working C compiler: /usr/bin/gcc -- Check for working C compiler: /usr/bin/gcc -- works -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Detecting C compile features -- Detecting C compile features - done -- Check for working CXX compiler: /usr/bin/g++ -- Check for working CXX compiler: /usr/bin/g++ -- works -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Detecting CXX compile features -- Detecting CXX compile features - done -- Found PkgConfig: /usr/bin/pkg-config (found version "1.3.12") -- Performing Test R-pedantic -- Performing Test R-pedantic - Success -- Performing Test R-Wno-long-long -- Performing Test R-Wno-long-long - Success -- Performing Test R-Wall -- Performing Test R-Wall - Success -- Performing Test R-Wextra -- Performing Test R-Wextra - Success -- Performing Test R-Wcast-align -- Performing Test R-Wcast-align - Success -- Performing Test R-Wcast-qual -- Performing Test R-Wcast-qual - Success -- Performing Test R-Wformat -- Performing Test R-Wformat - Success -- Performing Test R-Wwrite-strings -- Performing Test R-Wwrite-strings - Success -- Performing Test R-Wconversion -- Performing Test R-Wconversion - Success -- Found Doxygen: /usr/bin/doxygen (found version "1.8.13") found components: doxygen dot -- Looking for pthread.h -- Looking for pthread.h - found -- Looking for pthread_create -- Looking for pthread_create - not found -- Looking for pthread_create in pthreads -- Looking for pthread_create in pthreads - not found -- Looking for pthread_create in pthread -- Looking for pthread_create in pthread - found -- Found Threads: TRUE -- Boost version: 1.63.0 -- Found the following Boost libraries: -- thread -- filesystem -- program_options -- unit_test_framework -- system -- regex -- chrono -- date_time -- atomic -- Checking for module 'eigen3 >= 3.0.0' -- Found eigen3 , version 3.3.4 -- dynamic-graph >= 3.0.0 is required. -- Checking for module 'dynamic-graph >= 3.0.0' -- Found dynamic-graph , version 3.0.1 -- PKG_CONFIG_STRING: dynamic-graph >= 3.0.0 -- Pkg-config module dynamic-graph v3.0.1 has been detected with success. -- dynamic-graph-python >= 3.0.0 is required. -- Checking for module 'dynamic-graph-python >= 3.0.0' -- Found dynamic-graph-python , version 3.0.2 -- PKG_CONFIG_STRING: dynamic-graph-python >= 3.0.0 -- Pkg-config module dynamic-graph-python v3.0.2 has been detected with success. -- Found PythonInterp: /usr/bin/python2.7 (found version "2.7.14") -- Found PythonLibs: /usr/lib64/libpython2.7.so (found version "2.7.14") -- Doxygen rendering: using LaTeX backend -- Configuring done -- Generating done -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work/sot-core-v3-3.1.1/_build